> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List candidate environment variables

> Retrieves candidate environment variables detected across the system, each returned with the locations where it is referenced as a list of matches describing the match type, metadata, and payload. Use this to discover values that could be promoted to environment variables.



## OpenAPI

````yaml /schema.json get /environment/candidates
openapi: 3.1.0
info:
  version: 01KV4EC0SHV95TK2YR66AMKFZC
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /environment/candidates:
    get:
      tags:
        - Environment
      summary: List candidate environment variables
      description: >-
        Retrieves candidate environment variables detected across the system,
        each returned with the locations where it is referenced as a list of
        matches describing the match type, metadata, and payload. Use this to
        discover values that could be promoted to environment variables.
      operationId: getCandidateEnvironmentVariables
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A list of candidate environment variables
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentVariableCandidateListResult'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EnvironmentVariableCandidateListResult:
      type: object
      properties:
        metadata:
          $ref: '#/components/schemas/ActionMetaData'
        results:
          $ref: '#/components/schemas/EnvironmentVariableCandidateList'
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string
    ActionMetaData:
      type: object
      properties:
        totalCount:
          type: integer
          format: int32
          description: Total count of items that match the criteria.
    EnvironmentVariableCandidateList:
      type: array
      items:
        $ref: '#/components/schemas/EnvironmentVariableCandidate'
    EnvironmentVariableCandidate:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/EnvironmentVariableName'
        matches:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/EnvironmentVariableCandidateMatch'
      require:
        - name
        - matches
    EnvironmentVariableName:
      title: Name
      type: string
      pattern: ^[a-zA-Z0-9_-]+$
    EnvironmentVariableCandidateMatch:
      type: object
      properties:
        type:
          type: string
        metadata:
          type: object
        payload:
          type: object
      required:
        - type
        - metadata
        - payload

````